Subject: Re: bug#11893: Regression in automake 1.12.1 on Mac OS X

From: Stefano Lattarini <[email-masked]>
Date: Thu, 12 Jul 2012 16:37:45 +0200

On 07/12/2012 04:00 PM, Peter Rosin wrote:
>
> Stefano Lattarini wrote:
>>
>> Since that requirement is only needed for bootstrapping, I could send
>> you a (patched) tarball to test (so that you'll only require an
>> autoconf >= 2.62).  Would that be more acceptable?
> 
> Shoot!
> 
Sent in private.

>>> So, reading the patch instead, I think the method for querying case
>>> insensitivity seems a bit fragile
>>>
>> Agreed (albeit it does its dirty work for now).  Any suggestion on
>> how to make it more reliable?
> 
> Is test /usr/bin/CC -ef /usr/bin/cc portable enough?
>
I have no idea ...  it seems to work on Cygwin 1.5 though.

Anyway, I think that testing for "test /bin/RMDIR -ef /bin/rmdir" might
even be more portable.  That's what I'll do if there is no further
objection (and I'll sent you an updated tarball to test, before pushing
out the patch).

> Does it work at all? Just an idea...
>
> Cheers,
> Peter

Regards,
  Stefano